CREATE TABLE hz_citizenship (
    CITIZENSHIP_ID            NUMBER(18, 0) ,
    BIRTH_OR_SELECTED         VARCHAR2(120) ,
    COUNTRY_CODE              VARCHAR2(8)       NOT NULL,
    DATE_DISOWNED             DATE          ,
    DATE_RECOGNIZED           DATE          ,
    DOCUMENT_REFERENCE        VARCHAR2(240) ,
    DOCUMENT_TYPE             VARCHAR2(120) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    PARTY_ID                  NUMBER(18, 0)     NOT NULL,
    END_DATE                  DATE          ,
    STATUS                    VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY_MODULE         VARCHAR2(120) ,
    CONFLICT_ID               NUMBER(18, 0)     NOT NULL,
    USER_LAST_UPDATE_DATE     TIMESTAMP(6)  ,
    ATTRIBUTE_CATEGORY        VARCHAR2(120) ,
    ATTRIBUTE1                VARCHAR2(600) ,
    ATTRIBUTE2                VARCHAR2(600) ,
    ATTRIBUTE3                VARCHAR2(600) ,
    ATTRIBUTE4                VARCHAR2(600) ,
    ATTRIBUTE5                VARCHAR2(600) ,
    ATTRIBUTE6                VARCHAR2(600) ,
    ATTRIBUTE7                VARCHAR2(600) ,
    ATTRIBUTE8                VARCHAR2(600) ,
    ATTRIBUTE9                VARCHAR2(600) ,
    ATTRIBUTE10               VARCHAR2(600) ,
    ATTRIBUTE11               VARCHAR2(600) ,
    ATTRIBUTE12               VARCHAR2(600) ,
    ATTRIBUTE13               VARCHAR2(600) ,
    ATTRIBUTE14               VARCHAR2(600) ,
    ATTRIBUTE15               VARCHAR2(600) ,
    ATTRIBUTE16               VARCHAR2(600) ,
    ATTRIBUTE17               VARCHAR2(600) ,
    ATTRIBUTE18               VARCHAR2(600) ,
    ATTRIBUTE19               VARCHAR2(600) ,
    ATTRIBUTE20               VARCHAR2(600) ,
    ATTRIBUTE21               VARCHAR2(600) ,
    ATTRIBUTE22               VARCHAR2(600) ,
    ATTRIBUTE23               VARCHAR2(600) ,
    ATTRIBUTE24               VARCHAR2(600) ,
    ATTRIBUTE25               VARCHAR2(600) ,
    ATTRIBUTE26               VARCHAR2(600) ,
    ATTRIBUTE27               VARCHAR2(600) ,
    ATTRIBUTE28               VARCHAR2(600) ,
    ATTRIBUTE29               VARCHAR2(600) ,
    ATTRIBUTE30               VARCHAR2(1020),
    CPDRF_VER_SOR             NUMBER(9, 0)  ,
    CPDRF_VER_PILLAR          NUMBER(9, 0)  ,
    CPDRF_LAST_UPD            VARCHAR2(60)  ,
    ATTRIBUTE_NUMBER1         NUMBER        ,
    ATTRIBUTE_NUMBER2         NUMBER        ,
    ATTRIBUTE_NUMBER3         NUMBER        ,
    ATTRIBUTE_NUMBER4         NUMBER        ,
    ATTRIBUTE_NUMBER5         NUMBER        ,
    ATTRIBUTE_NUMBER6         NUMBER        ,
    ATTRIBUTE_NUMBER7         NUMBER        ,
    ATTRIBUTE_NUMBER8         NUMBER        ,
    ATTRIBUTE_NUMBER9         NUMBER        ,
    ATTRIBUTE_NUMBER10        NUMBER        ,
    ATTRIBUTE_NUMBER11        NUMBER        ,
    ATTRIBUTE_NUMBER12        NUMBER        ,
    ATTRIBUTE_DATE1           DATE          ,
    ATTRIBUTE_DATE2           DATE          ,
    ATTRIBUTE_DATE3           DATE          ,
    ATTRIBUTE_DATE4           DATE          ,
    ATTRIBUTE_DATE5           DATE          ,
    ATTRIBUTE_DATE6           DATE          ,
    ATTRIBUTE_DATE7           DATE          ,
    ATTRIBUTE_DATE8           DATE          ,
    ATTRIBUTE_DATE9           DATE          ,
    ATTRIBUTE_DATE10          DATE          ,
    ATTRIBUTE_DATE11          DATE          ,
    ATTRIBUTE_DATE12          DATE          ,
    CITIZENSHIP_ID            NUMBER(18, 0) ,
    BIRTH_OR_SELECTED         VARCHAR2(120) ,
    COUNTRY_CODE              VARCHAR2(8)       NOT NULL,
    DATE_DISOWNED             DATE          ,
    DATE_RECOGNIZED           DATE          ,
    DOCUMENT_REFERENCE        VARCHAR2(240) ,
    DOCUMENT_TYPE             VARCHAR2(120) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    PARTY_ID                  NUMBER(18, 0)     NOT NULL,
    END_DATE                  DATE          ,
    STATUS                    VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY_MODULE         VARCHAR2(120) ,
    CONFLICT_ID               NUMBER(18, 0)     NOT NULL,
    USER_LAST_UPDATE_DATE     TIMESTAMP(6)  ,
    ATTRIBUTE_CATEGORY        VARCHAR2(120) ,
    ATTRIBUTE1                VARCHAR2(600) ,
    ATTRIBUTE2                VARCHAR2(600) ,
    ATTRIBUTE3                VARCHAR2(600) ,
    ATTRIBUTE4                VARCHAR2(600) ,
    ATTRIBUTE5                VARCHAR2(600) ,
    ATTRIBUTE6                VARCHAR2(600) ,
    ATTRIBUTE7                VARCHAR2(600) ,
    ATTRIBUTE8                VARCHAR2(600) ,
    ATTRIBUTE9                VARCHAR2(600) ,
    ATTRIBUTE10               VARCHAR2(600) ,
    ATTRIBUTE11               VARCHAR2(600) ,
    ATTRIBUTE12               VARCHAR2(600) ,
    ATTRIBUTE13               VARCHAR2(600) ,
    ATTRIBUTE14               VARCHAR2(600) ,
    ATTRIBUTE15               VARCHAR2(600) ,
    ATTRIBUTE16               VARCHAR2(600) ,
    ATTRIBUTE17               VARCHAR2(600) ,
    ATTRIBUTE18               VARCHAR2(600) ,
    ATTRIBUTE19               VARCHAR2(600) ,
    ATTRIBUTE20               VARCHAR2(600) ,
    ATTRIBUTE21               VARCHAR2(600) ,
    ATTRIBUTE22               VARCHAR2(600) ,
    ATTRIBUTE23               VARCHAR2(600) ,
    ATTRIBUTE24               VARCHAR2(600) ,
    ATTRIBUTE25               VARCHAR2(600) ,
    ATTRIBUTE26               VARCHAR2(600) ,
    ATTRIBUTE27               VARCHAR2(600) ,
    ATTRIBUTE28               VARCHAR2(600) ,
    ATTRIBUTE29               VARCHAR2(600) ,
    ATTRIBUTE30               VARCHAR2(1020),
    CPDRF_VER_SOR             NUMBER(9, 0)  ,
    CPDRF_VER_PILLAR          NUMBER(9, 0)  ,
    CPDRF_LAST_UPD            VARCHAR2(60)  ,
    ATTRIBUTE_NUMBER1         NUMBER        ,
    ATTRIBUTE_NUMBER2         NUMBER        ,
    ATTRIBUTE_NUMBER3         NUMBER        ,
    ATTRIBUTE_NUMBER4         NUMBER        ,
    ATTRIBUTE_NUMBER5         NUMBER        ,
    ATTRIBUTE_NUMBER6         NUMBER        ,
    ATTRIBUTE_NUMBER7         NUMBER        ,
    ATTRIBUTE_NUMBER8         NUMBER        ,
    ATTRIBUTE_NUMBER9         NUMBER        ,
    ATTRIBUTE_NUMBER10        NUMBER        ,
    ATTRIBUTE_NUMBER11        NUMBER        ,
    ATTRIBUTE_NUMBER12        NUMBER        ,
    ATTRIBUTE_DATE1           DATE          ,
    ATTRIBUTE_DATE2           DATE          ,
    ATTRIBUTE_DATE3           DATE          ,
    ATTRIBUTE_DATE4           DATE          ,
    ATTRIBUTE_DATE5           DATE          ,
    ATTRIBUTE_DATE6           DATE          ,
    ATTRIBUTE_DATE7           DATE          ,
    ATTRIBUTE_DATE8           DATE          ,
    ATTRIBUTE_DATE9           DATE          ,
    ATTRIBUTE_DATE10          DATE          ,
    ATTRIBUTE_DATE11          DATE          ,
    ATTRIBUTE_DATE12          DATE          ,
    CONSTRAINT pk_hz_citizenship PRIMARY KEY (CITIZENSHIP_ID, CITIZENSHIP_ID)
);
